apiVersion: apps/v1
kind: Deployment
metadata:
  name: gaia-x-onboarding-portal
  namespace: gx-lab
spec:
  replicas: 1
  selector:
    matchLabels:
      app: gaia-x-onboarding-portal
  template:
    metadata:
      labels:
        app: gaia-x-onboarding-portal
    spec:
      containers:
      - name: gaia-x-onboarding-portal
        image: registry.gitlab.com/gaia-x/lab/compliance/gx-issuer-portal:development
        ports:
          - containerPort: 80
            name: http-api
---
apiVersion: v1
kind: Service
metadata:
  name: gaia-x-onboarding-portal
  namespace: gx-lab
spec:
  ports:
    - name: http
      port: 80
      targetPort: http-api
      protocol: TCP
  selector:
    app: gaia-x-onboarding-portal
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: gaia-x-onboarding-portal
  annotations:
    kubernetes.io/ingress.class: "nginx"
    cert-manager.io/cluster-issuer: letsencrypt-prod
spec:
  tls:
    - hosts:
        - onboarding-portal.lab.gaia-x.eu
      secretName: gaia-x-onboarding-portal-tls-secret
  rules:
    - host: onboarding-portal.lab.gaia-x.eu
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: gaia-x-onboarding-portal
                port:
                  number: 80